#include <iostream>

using namespace std;

int main()
{
    int t;
    int i,j,k;
    long long int n,m,x;
    cin>>t;
    int tomb[t];
    for(i=0;i<t;i++)
    {
        tomb[i]=0;
    }
    for(i=0;i<t;i++)
    {
        cin>>n>>m;
         long long int tomb2[n],tomb3[m];
        for(j=0;j<n;j++)
        {
            cin>>tomb2[j];
        }
        for(j=0;j<m;j++)
        {
            cin>>tomb3[j];
        }


        for(j=0;j<n;j++)
        {
            for(k=0;k<m;k++)
            {
                for(x=0;x<tomb2[j]+tomb3[k];x++)
                {
                    if(((tomb2[j]+x)!=tomb3[k])||((tomb2[j]-x)!=tomb3[k]))
                    {
                        tomb[i]=1;

                    }
                    else
                        tomb[i]=0;
                }
            }
        }
    }
    for(i=0;i<t;i++)
    {
        cout<<tomb[i]<<endl;
    }

    return 0;
}